<div *ngIf="pagination | async as pag; else loadingProducts">
  <h3>Product list</h3>
  <app-product-list-pagination [pagination]="pag"></app-product-list-pagination>

  <!-- Domaci zadatak: Dodati opciju da korisnik bira po cemu zeli da vrsi sortiranje proizvoda i po kojem poretku -->
  <div class="ui divided items">
    <app-product
      class="ui item"
      *ngFor="let productFromArray of pag.docs | productSort: 'price':'DESC'"
      [product]="productFromArray"
    ></app-product>
  </div>

  <app-product-list-pagination [pagination]="pag"></app-product-list-pagination>
</div>
<ng-template #loadingProducts> Loading products... </ng-template>
